script: |
  ZQD_EXTRA_FLAGS=-immcache.kind=local source services.sh
  zapi -h $ZQD_HOST new -d ./root -k archivestore -thresh 20KiB testsp
  zapi -h $ZQD_HOST -s testsp post babble-sorted.zson >/dev/null
  echo ===
  zapi -h $ZQD_HOST -s testsp get -f text "count()"
  echo ===
  zapi -h $ZQD_HOST -s testsp get -f text "count()"
  echo ===
  curl $ZQD_HOST/metrics | grep archive_cache

inputs:
  - name: babble-sorted.zson
    source: ../../../ztests/suite/data/babble-sorted.zson
  - name: services.sh
    source: services.sh

outputs:
  - name: stdout
    data: |
      testsp: space created
      ===
      1000
      ===
      1000
      ===
      # HELP archive_cache_hits_total Number of hits for a cache lookup.
      # TYPE archive_cache_hits_total counter
      archive_cache_hits_total{kind="metadata"} 4
      # HELP archive_cache_misses_total Number of misses for a cache lookup.
      # TYPE archive_cache_misses_total counter
      archive_cache_misses_total{kind="metadata"} 2
